﻿unit rstring;

{<
  rstring is unit containing all resource strings.

  @author(Rosinsky Software - <http://www.rosinsky.cz/delphi>)
  @created(Apr 2006)
  @lastmod(Lun 2015)
}

interface

const LangVer='EN';
const LangVerEN=1;

resourcestring

  // ***************************************************
  // COMMON STRING

  // Actions
  { }
  sInitialize = 'Inicializar';
  sBrowsing = 'Navegação';
  sEditing = 'Edição';
  sInserting = 'inserindo';
  sLoading = 'Carregando';
  sCreating = 'Criar';
  sPrinting = 'Impressão';
  sExporting = 'Exportador';
  sLookingFor = 'Procurando...';
  sWaiting = 'Esperando';
  sChecking = 'Verificando';
  sImporting = 'Importação';
  sOfData = ' de dados...';

  // Questions
  { }
  sContinueQ = 'Continuar?';
  sTerminateQ = 'Terminar?';
  sCancelQ = 'Cancelar?';
  sDeleteQ = 'Excluir?';
  sOverwriteQ = 'Sobrescrever?';
  sTryAgainQ = 'Tente novamente?';
  sSetDefaultValues = 'Redefinir para o padrão propriedades?';
  sSaveChangesQ = 'Salvar alterações?';
  sUseChangesQ = 'Use alterações?';
  sUseFilterQ = 'Use filtro selecionado?';

  // File and dir
  { }
  sFile = 'Arquivo "%s".';
  sFileNotFound = 'Arquivo "%s" não encontrado.';
  sDirNotFound = 'Diretório "%s" não encontrado.';
  sFileExist = 'Arquivo "%s" já existe.';
  sDirExist = 'Diretório "%s" já existe.';
  sFileSaved = 'Arquivo "%s" foi guardado.';
  sFileOpenQ = 'Abrir arquivo "%s"?';
  sOpenOtherFileQ = 'Abra outro arquivo?';
  sOpenLastFileQ = 'Abrir arquivo original?';

  // File error
  { }
  sMakeDirErr = 'Não é possível criar diretório de destino "%s".';
  sFilePrintErr = 'Não é possível imprimir arquivos "%s".';
  sFileOpenErr = 'Não é possível abrir o arquivo "%s".';
  sFileOpenErr2 = 'Arquivo não existe (probably).';
  sFileSaveErr = 'Erro durante salvar arquivo "%s".';
  sFileSaveErr2 = 'Você não tem direitos de acesso, diretório de destino' + ' não existe ou arquivo de destino já está aberto em outro aplicativo.';
  sDLLNotFound = 'Biblioteca dinâmica "%s" não encontrado ou corrompido.';

  // File types
  { }
  sFileTypeAll = 'All files (*.*)|*.*';
  sFileTypeTXT = 'Text file (*.txt)|*.txt';
  sFileTypeSLK = 'Symbolic connection file (*.slk)|*.slk';
  sFileTypeRTF = 'Rich text format (*.rtf)|*.rtf';
  sFileTypeDOC = 'MSWord document (*.doc)|*.doc';
  sFileTypeDOCX = 'MSWord document (*.docx)|*.docx';
  sFileTypeODT = 'Open document format (*.odt)|*.odt';
  sFileTypeXLS = 'Excel file (*.xls*)|*.xls*';
  sFileTypeMDB = 'Database MS Access (*.mdb)|*.mdb';
  sFileTypeSQL = 'SQL command (*.sql)|*.sql';
  sFileTypeDBF = 'dBase file (*.dbf)|*.dbf';
  sFileTypePDF = 'PDF file (*.pdf)|*.pdf';
  sFileTypeBMP = 'Bitmaps (*.bmp)|*.bmp';
  sFileTypeJPG = 'Jpeg files (*.jpg;*.jpeg)|*.jpg;*.jpeg';
  sFileTypePNG = 'PNG files (*.png)|*.png';
  sFileTypeBMPJPG = 'Graphics formats (*.bmp;*.jpg;*.jpeg)|*.bmp;*.jpg;*.jpeg';
  sFileTypeBMPJPGPNG = 'Graphics formats (*.bmp;*.jpg;*.jpeg;*.png)|*.bmp;*.jpg;*.jpeg;*.png';

  // Error descriptions
  { }
  sErrorDescription = 'Descrição do erro:';
  sRuntimeErr = 'Erro de execução.';
  sRaiseErr = 'Erro inesperado. Fechar aplicativo e execute novamente.';


  // Format error
  { }
  sInputErr = 'Erro em parâmetros de entrada.';
  sFormatNumberErr = 'Formato de número Bad.';
  sFormatDateErr = 'Formato Bad data.';
  sFormatYearErr = 'Formato Bad ano.';
  sDateIntervalErr = 'Bad formato de período de data.';
  sExpressionErr = 'Erro na expressão.';
  sPictureErr = 'Formato de imagem ruim.';

  // Other
  { }
  sAborted = 'Acção abortada.';
  sTerminate = 'Programa terminará.';
  sNotRegist = 'Programa não está registrado.';
  sNotImplement = 'Esta ação ainda não está implementado.';
  sNotSupported = 'Esta função não é suportada.';
  sVersion = 'Version';
  sAllOK = 'All OK.';
  sYes = 'Sim';
  sNo = 'Não';
  sOK = 'Ok';
  sCancel = 'Cancelar';

  sWrongPsw = 'Senha incorreta.';
  sMailErr = 'Envio de erro E-mail.';
  sMailGenInfo = 'Geração de e-mail...';

  // ***************************************************
  // DATABASE STRING

  // DB action
  { }
  sConnecting = 'Conectando-se a base de dados...';
  sLogging = 'Conectando a base de dados...';
  sInactive = 'Inativo';
  sRecord = 'Recorde';
  sNumRecords = '%d recorde';
  sSelRecords = 'Selecionado %d recorde.';

  // DB questions
  { }
  sDelRecordQ = 'Excluir recorde selecionado?';
  sDelMultipleRecordQ = 'Excluir todos os registros selecionados?';

  // DB error
  { }
  sConnectDataErr = 'A conexão com banco de dados "%s" falhou.';
  sCreateDataErr = 'Erro: Não é possível criar dados.';
  sOpenDataErr = 'Erro: Não é possível abrir dados.';
  sReadDataErr = 'Erro: Não é possível ler os dados.';
  sSaveDataErr = 'Erro: Não é possível guardar dados.';
  sCompressDataErr = 'Erro: Não é possível comprimir dados.';
  sExportDataErr = 'Erro: Não é possível exportar dados.';
  sImportDataErr = 'Erro: Não é possível importar dados.';
  sDecodeDataErr = 'Não pode decodificar dados.';
  sSaveRecordErr = 'Erro: Não é possível salvar recorde.';
  sOpenTableErr = 'Erro: Não é possível abrir a tabela "%s".';
  sEditRecordErr = 'Erro: Não é possível editar recorde.';
  sSortDataErr = 'Erro: classificação de dados.';
  sNoSavedItems = 'itens gravados';
  sInputItemName = 'Nome do item salva:';

  // Find results
  { }
  sNotFound = 'Não encontrado';
  sFound = 'Encontrado';

  sFilterName = 'Filtro';
  sFilterString = 'Condição de filtro';

  sEndEditing = 'Terminar a edição de recorde.';

  // ***************************************************
  // UNIT rdlg

  { }
  sInformation = 'Informação';
  sQuestion = 'Questão';
  sWarning = 'Aviso';
  sInput = 'Entrada';
  sError = 'Erro';
  sBtOk = '&Ok';
  sBtYes = '&Sim';
  sBtNo = '&Não';
  sBtCancel = '&Cancelar';
  sCut = 'Cut';
  sCopy = 'Copy';
  sPaste = 'Paste';
  sDelete = 'Deletar';
  sUndo = 'Desfazer';
  sSelectAll = 'Selecionar tudo';
  sSaveToFile = 'Salvar em arquivo...';
  sLoadFromFile = 'Carregar do arquivo...';
  sFind = 'Encontrar';
  sFindNext = 'Encontre o próximo';
  sChangeFont = 'Mudar fonte';
  sAbort = 'Abortar';

  // ***************************************************
  // UNIT RTFReport

  { }
  sReport = 'Relatório';
  sTemplateFormatErr = 'Bad formato de arquivo de modelo.';
  sPrinterNotFound = 'Impressora "%s" não foi encontrado.';

  sTemplateBracketErr = 'Bracket erro na função: "%s".';
  sTemplateFieldErr = 'Erro de cálculo no campo de banco de dados "%s".';
  sTemplateDatasetErr = 'Conjunto de dados incorrectos "%s", (A..Z allowed)';
  sTemplateTagNotFoundErr = '"%s" não encontrado.';
  sTemplateCalculationErr = 'Erro de cálculo na função "%s".';
  sTemplateIncorrectTag = 'Tag incorreta "%s".';
  sTemplateInsertTableErr = 'Tag "%s" can be used only inside table with one row.';

  sCreatingReport = 'Criação de relatório...';
  sCreatingReportErr = 'Erro durante a criação do relatório.';
  sFileGeneration = 'Generation of file %s...';
  sPDFWaitAgainQ = 'Arquivo de saída não é gerada ainda. Você quer ainda esperar?';
  sPDFConfiguration = 'Configuração da impressora PDF...';
  sPDFConfigurationErr = 'Erro durante a configuração da impressora PDF.';
  sDeleteOldFileErr = 'Arquivo de saída %s já existe e não pode ser substituído.';

  // OLE
  sMSWordNotFound = 'MSWord application not found.';
  sMSWordError = 'MSWord application error.';
  sMSExcelNotFound = 'MSExcel application not found.';
  sMSExcelError = 'MSExcel application error.';
  sMSExcelRunningToClose = 'Creted MSExcel application will be closed and file was changed. Save changes?';

  // ***************************************************
  // rDBGrid unit
  { }
  sPMSum = 'Sum = %sum';
  sPMMin = 'Min = %min';
  sPMMax = 'Max = %max';
  sPMAvg = 'Avg = %avg';
  sPMCountVal = 'Count of values = %CountVal';
  sPMCountNull = 'Count of empty = %CountNull';
  sPMCountAll = 'Count of all = %CountAll';

  sSelectAllRecords = 'Selecione todos os registros';
  sDeselectAllRecords = 'Desmarcar todos os registros';
  sReverseSelection = 'Seleção reversa';
  sDeleteSelectedRecords = 'Excluir registros selecionados';
  sNoRecordsSelected = 'Nenhum registro selecionado.';
  sSelectedNumRecContinueQ = 'Já foi selecionado %d registros, continue?';

  sCellParamsCondErr='Condição inválida para o campo %s. Condição será desativado.';
  sCellParamsCondStart='começar';
  sCellParamsCondNotStart='não começar por';
  sCellParamsCondContain='conter';
  sCellParamsCondNotContain='não contêm';
  sCellParamsCondAllways='sempre';
  sCellParamsActSet='>>>';
  sCellParamsActAND='AND';
  sCellParamsActOR='OR';

  sFilterSelectAll = '(selecionar tudo)';
  sFilterNullValue = '(vazio)';
  sIndicatorColumnName = '- Cabeçalho de linha -';

  // ***************************************************
  // rDBComponent unit
  { }
  sPictureEmpty = '(vazio)';
  sPictureCorrupted = '(corrupto)';
  sSaveInJPEGFormat = 'Loja no formato JPG';
  sPictureResize = 'Alterar resolução';
  sResizeRatioQ = 'Tamanho solicitado em percentagem (1% - 500%):';
  sZoomAutoFit = 'Zoom - a janela';
  sZoomIn = 'Zoom in';
  sZoomOut = 'Zoom out';
  sZoom = 'Zoom';
  sShowPicEdit = 'Editar em nova janela (brilho, contraste)';
  sPicConvert = 'Converter...';
  sPicConvertJPG1 = 'recorde atual to JPG';
  sPicConvertBMP1 = 'recorde atual to BMP';
  sPicConvertJPGAll = 'todos os recordes to JPG';
  sPicConvertBMPAll = 'todos os recordes to BMP';
  sPicConvertAllQ = 'Este formato mudança ação desse campo para todos os registros na tabela.';
  sPicConvertProcess = 'Convertendo...';
  sBlobOpen = 'Aberto';
  sBlobLoad = 'Carregar';
  sBlobSave = 'Guardar';
  sBlobClear = 'Claro';
  sBlobRename = 'Alterar nome de arquivo';
  sBlobChangeExtQ = 'Você quer mudar o tipo de arquivo (extension)? Esta mudança pode afetar a legibilidade do arquivo.';
  sBlobFileOverLimitQ = 'Tamanho do arquivo selecionado (%f MB) ultrapassar os limites (%f MB).';

  sFormatInfo = 'Formato de texto selecionado';
  sFormatBold = 'Corajoso';
  sFormatItalic = 'Itálico';
  sFormatUnderline = 'Sublinhado';
  sFormatAsUnnumberedList='Lista não numerada';
  sFormatAsNumberedList='Lista numerada';
  sFormatNewPage = 'Insira o fim da página';
  sFormatNewLine2 = 'Insira o fim da linha';
  sFormatNewLineAuto='Insira fim de todas as linhas';
  sFormatHorLine = 'Inserir linha horizontal';
  sFormatHTMLLink = 'Inserir link HTML';
  sFormatClear = 'Limpar todos os formatos';
  sEditInfo = 'Mostrar na janela';

  // ***************************************************
  // rDBMemoGrid unit
  { }
  mnDelRow = 'Delete row';
  mnMoveUpRow = 'Move row up';
  mnMoveDownRow = 'Move row down';
  mnCopyCell = 'Copy cell';
  mnPasteCell = 'Paste cell';
  mnCopyTable = 'Copy whole table';
  mnPasteTable = 'Paste whole table';
  mnAppendTable = 'Add whole table';
  mnClearTable = 'Clear table';
  mnSelectRow = 'Select row';
  mnSelectAll = 'Select all rows';
  mnSelectCol = 'Select column';
  mnSelectCell = 'Select cell';
  mnDeselectAll = 'Cancel selection';

  // ***************************************************
  // rDBPrint unit
  { }
  sPrintToomuchCols = 'Dados de impressão é muito grande, desmarcar algumas colunas ou selecione um tamanho de fonte menor.';
  sPrintRecCount='Contagem total de registros: %d';
  sPrintPreviewLimit = 'Preview é limitado a 60 páginas.';

  // ***************************************************
  // rpictool unit
  { }
  sColorBlack = 'Black';
  sColorBlackLoc = 'Black';
  sColorMaroon = 'Maroon';
  sColorMaroonLoc = 'Maroon';
  sColorGreen = 'Green';
  sColorGreenLoc = 'Green';
  sColorOlive = 'Olive';
  sColorOliveLoc = 'Olive';
  sColorNavy = 'Navy';
  sColorNavyLoc = 'Navy';
  sColorPurple = 'Purple';
  sColorPurpleLoc = 'Purple';
  sColorTeal = 'Teal';
  sColorTealLoc = 'Teal';
  sColorGray = 'Gray';
  sColorGrayLoc = 'Gray';
  sColorSilver = 'Silver';
  sColorSilverLoc = 'Silver';
  sColorRed = 'Red';
  sColorRedLoc = 'Red';
  sColorLime = 'Lime';
  sColorLimeLoc = 'Lime';
  sColorYellow = 'Yellow';
  sColorYellowLoc = 'Yellow';
  sColorBlue = 'Blue';
  sColorBlueLoc = 'Blue';
  sColorFuchsia = 'Fuchsia';
  sColorFuchsiaLoc = 'Fuchsia';
  sColorAqua = 'Aqua';
  sColorAquaLoc = 'Aqua';
  sColorWhite = 'White';
  sColorWhiteLoc = 'White';

  sColorMoneyGreen = 'MoneyGreen';
  sColorMoneyGreenLoc = 'Money Green';
  sColorSkyBlue = 'SkyBlue';
  sColorSkyBlueLoc = 'Sky Blue';
  sColorCream = 'Cream';
  sColorCreamLoc = 'Cream';
  sColorMedGray = 'MedGray';
  sColorMedGrayLoc = 'Med Gray';

  sColorCustom = 'Custom...';
  sColorCustomLoc = 'Custom...';

implementation

end.
