unit rDBGridSorter_DBISAM;

{<
  Sorter for TDBISAMTable - used by rDBGrid to sort DBISAM datasets
  @author(Rosinsky Software - <http://www.rosinsky.cz/delphi>)
  @created(Feb 2017)
  @lastmod(Feb 2017)
}

interface

uses
  Windows, Messages, SysUtils, Graphics, Classes, Controls, Menus, Dialogs,
  StdCtrls, Forms, DB, Variants, rDBGrid,
  dbisamtb;

type
  { Sorter for TFDDataSet - used by rDBGrid to sort FireDac datasets }
  TrDBGridSorter_DBISAM = class(TrDBGridCustomSorter)
  public
    function SetSort_CreateIndex(DataSet: TDataSet; const SortString: string; const SortFields: string; const DescendingFields: string): boolean; override;
  end;

procedure Register;

implementation

uses RosiCompGlobalCfg;

procedure Register;
begin
  RegisterComponents('Rosi DB', [TrDBGridSorter_DBISAM]);
end;

function TrDBGridSorter_DBISAM.SetSort_CreateIndex(DataSet: TDataSet; const SortString: string; const SortFields: string; const DescendingFields: string)
  : boolean;
var
  DS: TDBISAMTable;
  idxName: string;
begin
  if (DataSet is TDBISAMTable) then
  begin
    DS:=DataSet as TDBISAMTable;
    if Trim(SortFields)='' then
      DS.IndexName:=''
    else
    begin
      idxName:=SortFields + '_' + DescendingFields;
      if DS.IndexDefs.IndexOf(idxName) < 0 then
        DS.AddIndex(idxName, SortFields, [], DescendingFields);
      DS.IndexDefs.Update;
      DS.IndexName:=idxName;
    end;
    Result:=true;
  end
  else
    Result:= inherited;
end;

end.
